libpils2-dev_1.0.12-12_i386.deb


Advertisement

Description

libpils2-dev - Reusable cluster development files -- libpils2

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libpils2-dev_1.0.12-12_i386.deb
Package name libpils2-dev
Package version 1.0.12
Package release 12
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage https://github.com/ClusterLabs/cluster-glue
License -
Maintainer Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Download size 37.11 KB
Installed size 112.00 KB
This package contains the development files of the pils
library from cluster-glue, the reusable cluster components
package.
If you are developing with libpils2, you probably want to
install this package.

Alternatives

Package Version Architecture Repository
libpils2-dev_1.0.12-12_amd64.deb 1.0.12 amd64 Debian Main
libpils2-dev - - -

Requires

Name Value
libltdl-dev -
libpils2 = 1.0.12-12

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libpils2-dev_1.0.12-12_i386.deb
Source Package cluster-glue

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpils2-dev deb package:
    # sudo apt-get install libpils2-dev

Files

Path
/usr/include/pils/generic.h
/usr/include/pils/interface.h
/usr/include/pils/plugin.h
/usr/lib/libpils.a
/usr/lib/libpils.la
/usr/lib/libpils.so
/usr/share/doc/libpils2-dev/changelog.Debian.gz
/usr/share/doc/libpils2-dev/changelog.gz
/usr/share/doc/libpils2-dev/copyright

Changelog

2019-01-21 - Valentin Vidic <vvidic@debian.org>
cluster-glue (1.0.12-12) unstable; urgency=medium
* Use libsensors-dev in Build-Depends (Closes: #917434)
* Add Build-Depends-Package to symbols files
* Try to fix FTBFS with usrmerge
* Update Standards-Version to 4.3.0
* Use /run path for Debian
2018-10-12 - Valentin Vidic <vvidic@debian.org>
cluster-glue (1.0.12-11) unstable; urgency=medium
* Add patch to use perl interpreter in vcenter script
* Update my email address in Uploaders
* Update Standards-Version to 4.2.1
* Use asciidoctor instead of asciidoc
2018-06-09 - Valentin Vidic <Valentin.Vidic@CARNet.hr>
cluster-glue (1.0.12-10) unstable; urgency=medium
[ Edward Betts ]
* Correct a spelling mistake.
[ Valentin Vidic ]
* Add Breaks/Replaces after moving files (Closes: #901100)
2018-05-29 - Valentin Vidic <Valentin.Vidic@CARNet.hr>
cluster-glue (1.0.12-9) unstable; urgency=medium
* Add patch to fix FTBFS with openipmi 2.0.25 (Closes: #900332)
2018-04-25 - Valentin Vidic <Valentin.Vidic@CARNet.hr>
cluster-glue (1.0.12-8) unstable; urgency=medium
* Move compress static libs to dev package
* Strip static libraries in dev package
* Fix spelling errors reported by lintian
* Update Homepage to ClusterLabs github
* Update Vcs URLs to use salsa
* Drop unused source.lintian-overrides
* Add missing patch descriptions
* Use debhelper v11
* Update Standards-Version to 4.1.4
* Add manpage to systemd service documentation
* Add logd to init service Provides field
2017-12-01 - Valentin Vidic <Valentin.Vidic@CARNet.hr>
cluster-glue (1.0.12-7) unstable; urgency=medium
[ Christoph Berg ]
* Remove Richard and myself from Uploaders
[ Valentin Vidic ]
* Switch to python3 (Closes: #883149)
* Update Standards-Version to 4.1.2
* Remove strace from debian/tests Depends
* Remove trailing whitespace in debian files
2017-08-24 - Valentin Vidic <Valentin.Vidic@CARNet.hr>
cluster-glue (1.0.12-6) unstable; urgency=medium
* Move ipmitool to Suggests
* Add lsb-base to cluster-glue Depends
* Update Standards-Version to 4.0.0 with no changes
* Use dh_missing for --fail-missing
* Update debhelper to v10
* Switch to automatic dbgsym packages
* Fix conflicting ipc declarations (Closes: #688514)
* Add myself to Uploaders
* Switch to github repo in debian/watch
* Use Section: libs for library packages
* Add autopkgtests
2016-04-21 - Christoph Berg <myon@debian.org>
cluster-glue (1.0.12-5) unstable; urgency=medium
* Drop --link-doc=cluster-glue, it's a nice idea but causes too much
trouble.  Closes: #821129, #821894.
2016-04-07 - Christoph Berg <myon@debian.org>
cluster-glue (1.0.12-4) unstable; urgency=medium
* libplumb2.symbols: Update hurd-specific symbols to match kfreebsd as well.
* Remove obsolete Conflicts/Replaces against heartbeat. Closes: #820221.
* Fix cl_times on x32: On x32, sizeof(long) is 4, and sizeof(clock_t) is 8.
cl_times as logic to reject that case. We fix this by setting the return
type of the function to long long instead on x32.
2016-03-26 - Christoph Berg <myon@debian.org>
cluster-glue (1.0.12-3) unstable; urgency=medium
* Fix B-D and dh_install for hurd and kfreebsd.
* Unreproducibility issues caused by not using dh have been verified as
fixed, closes: #800776.

See Also

Package Description
libpils2_1.0.12-12_i386.deb Reusable cluster libraries -- libpils2
libpinyin-common-dev_2.2.2-1_all.deb library to deal with PinYin / zhuyin - common development files
libpinyin-data_2.2.2-1_i386.deb Data for PinYin / zhuyin input method library
libpinyin-utils_2.2.2-1_i386.deb library to deal with PinYin - utilities
libpinyin13-dev_2.2.2-1_i386.deb library to deal with PinYin - development files
libpinyin13_2.2.2-1_i386.deb library to deal with PinYin
libpipebang-camlp4-dev_113.00.00-2+b1_i386.deb OCaml Syntax extension to transform pipe expressions
libpipeline-dev_1.5.1-2_i386.deb pipeline manipulation library (development files)
libpipeline1_1.5.1-2_i386.deb pipeline manipulation library
libpipewire-0.2-1_0.2.5-1_i386.deb libraries for the PipeWire multimedia server
libpipewire-0.2-dev_0.2.5-1_i386.deb libraries for the PipeWire multimedia server - development
libpipewire-0.2-doc_0.2.5-1_all.deb libraries for the PipeWire multimedia server - documentation
libpisock-dev_0.12.5-dfsg-2+b3_i386.deb development files for communicating with a PalmOS PDA
libpisock9_0.12.5-dfsg-2+b3_i386.deb library for communicating with a PalmOS PDA
libpisync1_0.12.5-dfsg-2+b3_i386.deb synchronization library for PalmOS devices
Advertisement
Advertisement